Issue

When using powerGate with TLS 1.2 you could encounter Issues because it is not supported out of the box.


Solution

To use TLS 1.2 with powerGate there are different possibilities, depending whether or not you have control over your hosting application:


Control over hosting application

If you have control over your hosting application upgrade it to .NET Framework 4.6.1. In this version TLS 1.2 should be supported out of the box.


No control over hosting application

If you don't have control over your hosting application you can add TLS 1.2 to the "ServicePointManager protocols". Add this code in your script in e.g. a powerShell environment to change the protocol for the whole process. This solution requires at least .NET Framework 4.5:

[Net.ServicePointManager]::SecurityProtocol = [Net.ServicePointManager]::SecurityProtocol -bor [Net.SecurityProtocolType]::Tls12